When I use "export face as" to create a DXF file for our lazer table I loose the bend lines in the DXF. Is there a way to retain the lines in order to have the lazer scribe the bend lines for us?
I am trying to save copy as dxf without bendlines so I can directly import the file into my waterject CAM software. There has to be a way to tell it not to add the benline layer.
I generate 3 points, two lines between point 1,2 and 2,3 and make a bend between the two lines. Cannot do it correctly.
On one side the fillet is not trimmed correctly. I think it is a bug in Inventor. Also when I have the sketch I manually cannot make a decent bend/fillet in the 3D sketch I created.
Private Sub Button1_Click(sender As Object, e As EventArgs) Handles Button1.Click 'add 3d sketchpoints in open partdoc Dim oPartDoc As PartDocument Dim oPartDef As PartComponentDefinition Dim oTG As TransientGeometry oTG = _invApp.TransientGeometry oPartDoc = _invApp.ActiveDocument oPartDef = oPartDoc.ComponentDefinition Dim oSketch As Sketch3D oSketch = oPartDef.Sketches3D.Add() Dim sp1(2) As SketchPoint3D Dim rod(1) As SketchLine3D sp1(0) = oSketch.SketchPoints3D.Add(oTG.CreatePoint(0, 0, 10)) sp1(1) = oSketch.SketchPoints3D.Add(oTG.CreatePoint(0, 0, 0)) sp1(2) = oSketch.SketchPoints3D.Add(oTG.CreatePoint(10, 0, 0)) rod(0) = oSketch.SketchLines3D().AddByTwoPoints(sp1(0).Geometry, sp1(1).Geometry) rod(1) = oSketch.SketchLines3D().AddByTwoPoints(sp1(1).Geometry, sp1(2).Geometry) 'bending it oSketch.SketchArcs3D.AddAsBend(rod(0), rod(1), 2.5) End Sub
The resulting part-file is added, for who wants to try to get a bend with both sides trimmed correctly.
In Inventor 2013 when i export face as it is automaticly exported to DWG 2013 version. How to i set it to 2010 version export without having to do it everytime manually? (option then chooose 2010)
I have a script which saves the flat pattern from a sheet metal part as a dxf file. But we also have standard part files that we save a face as a flat pattern. So I'm looking to be able to select a face then run a script to save the selected face as a flat pattern in a dxf file.
I need to find a way to export the selected face to dwg and to have the Part Number and if possible the description written under the exported face. I don't know if it's possible to do this. I know it's possible to export programmatically the selected face, but is it possible to get the name + description into the drawing too?
We're just looking for a way to "automate" the creation of our laser drawings.
I made a part using the extrude function and cut some texts into the part by extrude (tried emboss) as well. However, when I select the face to export, letters that have area inside, such as "A", "O", etc don't like right because the face selection only selects everything outside the bounds of the letter- so the triangle island part in the "A" and the circular island part bounded by the "O" cannot be selected. This presents a problem for me as I'm trying to use a CNC to cut these letters out with a dxf file to feed my CAM program.
All I need to do is merge a circular face to a flat face, so both faces become one continuous face. Is this possible at all?
I have a attached a screenshot to show what I mean. Face 1 needs to be merged with face 2. This is so if I constrain anything to that face it will constrain to the entire face and not either the circular face OR the flat face.
You know how you can create a streight line with the line tool, well is there a way to start to bend it as you wish. For example to get a symetrical ) type curve.
I have been searching for a macro to export the start and end point of a line coordinates to excel, but I can only find information on how to export 3D Points.
Is it possible to program a macro that allows me to export the start and end point of various lines in a sketch?
The objective of this is to connect an excel file which is updated when I create a line with it correspondent points, then i could not only import these x,y,z coordinates from excel to inventor but I whould be able to update my spreedsheet whenever I change my sketch.
I'm trying to use the cut across bend feature on a sheet metal part. However, when I check cut across bend, it grays out all of the other cutout options, and only has thickness as the only option. This is perplexing to me, because I can't think of too many times I'd need this option other than when there is more than one thickness of material I need to manipulate the profile onto.
I was to understand that this "cut across bend" is for use similar to the "normal cutout" command in solid edge? Keeps the cut perpendicular to the sheet face in a sheet metal part.
Cybertron PC Intel Core i5-3470 CPU @ 3.20 GHz 3.60 GHz 16.0 GB RAM Windows 7 Professional 64 Bit 3D Connexion Space Pilot Inventor Professional 2014 Autocad Mechanical 2014
I attached an IPT file that a customer sent us to manufacture for them.It's a rectangular aluminum tube with two bends.In the IDW when I try to place center points and dimension the radius it is not recognized.The original file was a STEP.
Under the modify tab in a part file, I can drop down and click "bend part." We have a bunch of frames made out of stock tubing that are welded together, then bent as a whole. Is there a way to bend at the assembly? I want the model to represent the production process. I don't want to have to bend each tube alone, then reassemble. That would double my parts/part numbers.
I have been trying to bend a larger radius on a corner bend but i can not seem to be able to . I start out with a face of 46" x 82" i want to put a 1/2" bend up then a 1/2" bend out to make a z shape i'm using as a material .109 stainless steel and i want to end up with a 1/2" on the inside corners so that when i'm done i can flatten it out to get the proper sheer size for the piece the metal brake i'm using has a 1/2" die in thats why i trying to figure this out is their any way to put this kind of radius on the sheet metal bends.
I'm trying to do a usable and real flat pattern for a laser cut on this type of part and I'm not able to do a cut across bend or other wrap around face feature.
I have created a pipe using sweep through 2 planes and 3d sketch. I want a specific bend on that pipe to be extracted for drawing purpose. How do I do that ?
If i have even used the correct technique but how do i perform the bends in the flat bar so as the bottom and top section are vertical and the small mid section is on the angle. At the moment the mid section is displayed vertical when using the cub please see attached files.
I have unfolded a 3D model into a flat plate, however the bend lines/extents do not appear in ISO.dwg
I doubled clicked into the view to access 'Display Options'. However, I cannot tick the box to display bend extents as this option is shaded out (refer to attached screen dump).
I cannot figure out how to dual dimension a bend like so:
DIRECTION DEGREES RIMPERIAL [RMETRIC]
e.g. DOWN 90 R1/2"[13] preferred
or DOWN 90 R1/2"[R13] okay
There should be a degree symbol after the 90 in my examples but I can't figure out how to type it here. I can get DOWN 90 R1/2"[DOWN 90 R13] but it's too long.
Inventor 2014 LT / have run into a problem in a throw-away project I"m working on.
A simple example is to create a piece of 3x5x.125 flat bar, add a sketch giving you a bend line and bend the end of it. Now try to mirror the whole thing giving you a 3x10x.125 flat bar bent on both ends.
FWIW: My project isn't this simple - I know I can just make the FB and bend both ends ... this is an example of mirroring a bend not working.
I have a sheet metal door with a little bracket that gets welded to the inside lip through a cut-out in the face of the door. (see assembly)
I can't get the cut-out to line up flush with the inside lip of the door, as that is where the brackets gets welded to. the current aseembly is set-up the way I want, but I can't get a flat pattern on the door, becasue of the cut going across the bend.
I have checked off the "cut across bend" in the cut dialogue box, but this leaves a small (~1/32) lip in the cut-out and runs interference in the placement of the bracket.
Inventor Pro Suite 2013 Sean Farr Product Designer at TESInc.ca Inventor Professional 2014-Update 2 - AutoCAD Electrical 2014 Win7-x64 | ASUS P8Z77-V | i7 3770 -3.4 GHz | 32GB RAM | 240GB SSD | nVidia GTX 670 4GB - 320.49
I am not sure what I am doing wrong but when I use the bend tool I am getting weird results. Does the surface to be bent have to be planar? See photo attachment.
Create a new sheet metal part make it a box of any size add four flanges then create a flat pattern. Save the file then create a drawing view of the flat pattern. All well and good so far... Now create a Table using the flat pattern view as the source, which creates a Bend table just fine.
Place the table on the sheet and Tags are added to the bend lines which is wonderful and great. Now try to move a tag.... BZZZZZZ your time is up you can't.
Yet in your Sheet Metal Annotations in Drawing - Wiki Help page in the Procedures - Create or edit a bend table - Create bend tags section it states:
Tip Drag the bend tag text away from the original position to add a leader to the bend tag. Is this a bug or something not set right on my system?
Manufacturer: Dell Model: Precision T3500 Video Card: NVIDIA Quadro FX 3700 Video Driver: 8.17.12.6779 Processor: Intel® Xeon® CPU W3503 @ 2.40GHz 2.40 GHz Installed memory (RAM): 4.00 GB System type: 64-bit Operating System
I have some code that find the length of a bend and it works great until there is a cut operation that passes through the edge of the part and through the bend. When this cut exists the systems recognizes the single bend 2 times which is fineand it should, just that it should also then be able to determine the length of each segment. It appears to be providing the length of the first segment twice. Any way to get either the segmented lengths or the length of the bend without the cut? I need a total length and the code below gives wrong data for the one edge length. the attached file shows what I mean.
Sub Bends() Dim oDoc As PartDocument Set oDoc = ThisApplication.ActiveDocument
I'm trying to cut across bend in the attached part. Usually this thing works quite good, but for some reason it's not letting me do it. What Am I doing wrong? How can I do it?